summaryrefslogtreecommitdiffstats
path: root/deps/xorg-server/xorg-server.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/xorg-server/xorg-server.SlackBuild')
-rwxr-xr-xdeps/xorg-server/xorg-server.SlackBuild37
1 files changed, 25 insertions, 12 deletions
diff --git a/deps/xorg-server/xorg-server.SlackBuild b/deps/xorg-server/xorg-server.SlackBuild
index 633701e..5163675 100755
--- a/deps/xorg-server/xorg-server.SlackBuild
+++ b/deps/xorg-server/xorg-server.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2007-2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007-2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -22,12 +22,12 @@
# -----------------------------------------------------------------------------
# Condensed from the modular x11.SlackBuild
-# 2016, 2017, 2018 by Eric Hameleers <alien@slackware.com>
+# 2016, 2017, 2018, 2020 by Eric Hameleers <alien@slackware.com>
# Note: this package contains _all_ X servers. Not just Xorg, but also:
# Xnest, Xephyr, Xvfb, Xwayland.
PKGNAM=xorg-server
-VERSION=${VERSION:-1.19.6}
+VERSION=${VERSION:-1.20.8}
BUILD=${BUILD:-2}
cd $(dirname $0) ; CWD=$(pwd)
@@ -86,16 +86,34 @@ tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd $PKGNAM-$VERSION || exit 1
# Apply patches:
+# We've used this one forever.
cat $CWD/patches/x11.startwithblackscreen.diff | patch -p1 --verbose || exit 1
+# Without this patch, combo mouse/keyboard (such as Logitech through unified
+# receiver) may be unable to set the desired keyboard layout.
cat $CWD/patches/xorg-server.combo.mouse.keyboard.layout.patch | patch -p1 --verbose || exit 1
+# Fix a segfault in xorg-server-1.20.0. Odds are good this will be fixed in
+# the next xorg-server and will no longer apply then.
+cat $CWD/patches/fix-nouveau-segfault.diff | patch -p1 --verbose || exit 1
+# From Fedora Rawhide 2018/7
+# (possibly useful, doesn't seem like it will hurt anything):
+cat $CWD/patches/0001-Always-install-vbe-and-int10-sdk-headers.patch | patch -p1 --verbose || exit 1
+# From Fedora Rawhide 2018/7, looks like many other distributions have added
+# this patch for a long time. Keep an eye out for newer versions though, and
+# revisit this if any DE begin to manage secondary GPUs (although none do yet):
+cat $CWD/patches/0001-autobind-GPUs-to-the-screen.patch | patch -p1 --verbose || exit 1
+# The upstream nouveau developers recommend this. On newer nvidia cards it works
+# better to use the generic modesetting ddx rather than nouveau.
+# Reference: https://bugs.freedesktop.org/show_bug.cgi?id=94844
+# Added here 2018/7.
+cat $CWD/patches/0001-xfree86-use-modesetting-driver-by-default-on-GeForce.patch | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ -exec chmod 644 {} \+
# Servers to build:
BUILD_SERVERS=" \
@@ -106,14 +124,10 @@ BUILD_SERVERS=" \
--enable-glamor \
--enable-kdrive \
--enable-xephyr \
- --enable-xfbdev \
--enable-xwayland \
--enable-config-udev \
- --enable-kdrive-evdev \
- --enable-kdrive-kbd \
- --enable-kdrive-mouse \
--disable-config-hal \
- --disable-systemd-logind"
+ --enable-systemd-logind"
#MESA_VERSION=${MESA_VERSION:-7.5} # unused in 1.7+
@@ -139,7 +153,6 @@ CFLAGS="$SLKCFLAGS" \
--with-module-dir=/usr/lib${LIBDIRSUFFIX}/xorg/modules \
--with-os-name="Slackware 15.0" \
--with-os-vendor="Slackware Linux Project" \
- --with-shared-memory-dir=/dev/shm \
--with-xkb-path=/etc/X11/xkb \
--with-xkb-output=/var/lib/xkb \
$BUILD_SERVERS \
@@ -226,7 +239,7 @@ rmdir $PKG/var 2>/dev/null
# While I hate to have X11 take over another generic-sounding
# piece of prime filesystem real estate, this symlink will
-# direct (for now) proprietary X drivers into the corrent
+# direct (for now) proprietary X drivers into the correct
# location:
( cd $PKG/usr/lib${LIBDIRSUFFIX}